[![en](https://img.shields.io/badge/lang-en-red.svg)](README.md)
[![de](https://img.shields.io/badge/lang-de-green.svg)](README.de.md)
[![ru](https://img.shields.io/badge/lang-ru-yellow.svg)](README.ru.md)

# CYCLE - menstrual cycle tracker for women

**13.10.2022 Version 0.3.2**  
2002-2005 (c) Oleg Gints (altgo@users.sourceforge.net)  
2002-2005 (c) "CONERO lab", http://conero.lrn.ru  
2022 (c) Konstantin L. Metlov (metlov@donfti.ru , metlov@fti.dn.ua)  

### PROGRAM FEATURES

*   Calculation of days of menstruation, based on length of cycle or period statistics
*   Calculation of "safe" sex days, fertile period and days to ovulation
*   Calculation of D.O.B. (Date Of Birth) of a child
*   Allows you to write notes
*   Helps you decide when to take the pill.

### HOW IT WORKS

It uses the _calendar (or rhythm) method_ for the definition of fertile days. For this you need to determine the duration, of last six cycles at least. To determine the fertile days it uses this algorithm:

*   First day: duration of shortest cycle minus 18
*   Last day: duration of longest cycle minus 11
*   Ovulation: is considered to be in the middle of fertile period (To determine the exact day isn't possible with the calendar method)

More information about the calendar method is available at: [http://www.mama.ru/gynecolog/STA/st18.htm](http://www.mama.ru/gynecolog/STA/st18.htm) (in Russian)

Date of birth of the child is counted from the beginning of last menstruation (in obstetrics 40 weeks is normally used). This date is corrected with the duration of a cycle (the number of days that the cycle differs from 28 days is added or subtracted). It is possible to check the results at: [http://cir.msk.ru/sroki.shtml](http://cir.msk.ru/sroki.shtml) (in Russian)

### HOW TO USE THE PROGRAM

Mark the beginning of menstruation. This is done by clicking with the right button on the date and chosing "beginning of cycle". Similarly the mark can be removed. Using duration of the last six cycles, the program will calculate and display the:

*   Fertile period - green cells
*   Ovulation day (the middle of the fertile period) - brightly green cell
*   Beginning of following menstruation - pink cells

Cycle duration is set in options or is calculated as an average of last six periods.

To determine the likely date of birth of the child, it is necessary to mark the first day of the last cycle as "Pregnancy".

Depending on your preferences, you can display only "Safe" sex days or only fertile days. Information about a day can be seen at the bottom, by left clicking on the day.

It is possible to add a note to any date using a right click. Days with a note are underlined.

There is a 10 percent failure rate of the calendar contraception method This method is suitable only for women with a regular enough cycle.

If your doctor has recommended oral contraceptive pills this program can help you take them at the right date. Familiarize yourself thorougly with the instructions that come with the strip of tablets. The strip can contain 21 tablets (a tablet a day for 21 days, then 7 days pause) or 28 tablets (in this case a table a day without interuption, over 28 days). In the program, only the day when you first start on a strip is noted.

### CONDITIONS OF DISTRIBUTION

Program "Cycle" is distributed under **GNU General Public License**, in the hope that it will be useful, but **WITHOUT ANY WARRANTY** (see file COPYRIGHT).

Translation - Marco Papa Manzillo (mpapamanz@users.sourceforge.net)
